<?php
/*
###################################################################################
  Bigware Shop 2.3
  Release Datum: 23.08.2015
  
  Bigware Shop
  http://www.bigware.de

  Copyright (c) 2015 Bigware LTD
  (c) 2000-2001 The Exchange Project  (earlier name of osCommerce)
  (c) 2015	Bigware LTD

  Copyrightvermerke duerfen nicht entfernt werden.
  ------------------------------------------------------------------------
  Dieses Programm ist freie Software. Sie koennen es unter den Bedingungen
  der GNU General Public License, wie von der Free Software Foundation
  veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess Version 2 
  der Lizenz oder (nach Ihrer Option) jeder spaeteren Version.
  Die Veroeffentlichung dieses Programms erfolgt in der Hoffnung, dass es Ihnen
  von Nutzen sein wird, aber OHNE IRGENDEINE GARANTIE, sogar ohne die
  implizite Garantie der MARKTREIFE oder der VERWENDBARKEIT FUER EINEN
  BESTIMMTEN ZWECK. Details finden Sie in der GNU General Public License.
  
  Sie sollten eine Kopie der GNU General Public License zusammen mit diesem
  Programm erhalten haben. Falls nicht, schreiben Sie an die Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.

  Infos:
  ------------------------------------------------------------------------
  Der Bigware Shop wurde vor vielen Jahren bereits aus dem bekannten Shopsystem osCommerce
  weiter- und neuentwickelt.
  Der Bigware Shop legt im hohen Masse Wert auf Bedienerfreundlichkeit, beinhaltet eine leichte
  Installation, viele neue professionelle Werkzeuge und zeichnet sich aus durch eine grosse 
  Community, die bei Problemen weiterhelfen kann.
  
  Der Bigware Shop ist auf jedem System lauffaehig, welches eine PHP Umgebung
  (ab PHP 4.1.3) und mySQL zur Verfuegung stellt und auf Linux basiert.
 
  Hilfe erhalten Sie im Forum auf www.bigware.de 
  
  -----------------------------------------------------------------------
  
 ##################################################################################




*/
?>
<?php
 ?>
<?php
if (substr(basename($PHP_SELF), 0, 12) == 'former_member') {
?>
<script language="JavaScript" type="text/JavaScript">
<!--
function validateForm() { 
  var p,z,xEmail,errors='',dbEmail,result=0,i;
  var formerName1 = document.newmember.former_firstname.value;
  var formerName2 = document.newmember.former_lastname.value;
  var formerEmail = document.newmember.former_email_address.value;
  
  if (formerName1 == '') { 
    errors+='<?php echo JS_ALERT_FIRSTNAME; ?>';
  } else if (formerName1.length < <?php echo TYPE_IN_FIRST_NAME_MIN_LENGTH; ?>) { 
    errors+='- Firstname length must over  <?php echo (TYPE_IN_FIRST_NAME_MIN_LENGTH); ?>\n';
  }
  if (formerName2 == '') { 
    errors+='<?php echo JS_ALERT_LASTNAME; ?>';
  } else if (formerName2.length < <?php echo TYPE_IN_FIRST_NAME_MIN_LENGTH; ?>) { 
    errors+='- Lastname length must over  <?php echo (TYPE_IN_LAST_NAME_MIN_LENGTH);  ?>\n';
  }
  if (formerEmail == '') {
    errors+='<?php echo JS_ALERT_EMAIL; ?>';
  } else if (formerEmail.indexOf("@") <= 1 || formerEmail.indexOf("@") >= (formerEmail.length - 3) || formerEmail.indexOf(".") <= 3 || formerEmail.indexOf(".") >= (formerEmail.length - 2) || formerEmail.indexOf("@.") >= 0 ) {
    errors+='<?php echo JS_ALERT_EMAIL_FORMAT; ?>';
  } else if (formerEmail.length < <?php echo TYPE_IN_EMAIL_ADDRESS_MIN_LENGTH; ?>) {
    errors+='<?php echo JS_ALERT_EMAIL_FORMAT; ?>';
  }
  if (errors) alert('The following error(s) occurred:\n'+errors);
  document.returnValue = (errors == '');
}
function checkGroups(obj) {
  var subgroubigID,i;
  subgroubigID = eval("this.defineForm.subgroups_"+parseFloat((obj.id).substring(7)));
    
  if (subgroubigID.length > 0) {
    for (i=0; i<subgroubigID.length; i++) {
      if (obj.checked == true) { subgroubigID[i].checked = true; }
      else { subgroubigID[i].checked = false; }
    }
  } else {
    if (obj.checked == true) { subgroubigID.checked = true; }
    else { subgroubigID.checked = false; }
  }
}
function checkSub(obj) {
  var groubigID,subgroubigID,i,num=0;
  groubigID = eval("this.defineForm.groups_"+parseFloat((obj.id).substring(10)));
  subgroubigID = eval("this.defineForm."+(obj.id));
      
  if (subgroubigID.length > 0) {    
    for (i=0; i < subgroubigID.length; i++) {
      if (subgroubigID[i].checked == true) num++;
    }
  } else {
    if (subgroubigID.checked == true) num++;
  }
  if (num>0) { groubigID.checked = true; }
  else { groubigID.checked = false; }
}
//-->
</script>
<?php
} else {
?>
<script language="JavaScript" type="text/JavaScript">
<!--
function validateForm() { 
  var p,z,xEmail,errors='',dbEmail,result=0,i;
  var formerName1 = document.member.former_firstname.value;
  var formerName2 = document.member.former_lastname.value;
  var formerEmail = document.member.former_email_address.value;
  var formerPass1 = document.member.former_password.value;
  var formerPass2 = document.member.former_password_confirm.value;
  
  if (formerName1 == '') { 
    errors+='<?php echo JS_ALERT_FIRSTNAME; ?>';
  } else if (formerName1.length < <?php echo TYPE_IN_FIRST_NAME_MIN_LENGTH; ?>) { 
    errors+='<?php echo JS_ALERT_FIRSTNAME_LENGTH . TYPE_IN_FIRST_NAME_MIN_LENGTH; ?>\n';
  }
  if (formerName2 == '') { 
    errors+='<?php echo JS_ALERT_LASTNAME; ?>';
  } else if (formerName2.length < <?php echo TYPE_IN_LAST_NAME_MIN_LENGTH; ?>) { 
    errors+='<?php echo JS_ALERT_LASTNAME_LENGTH . TYPE_IN_LAST_NAME_MIN_LENGTH;  ?>\n';
  }
  if (formerEmail == '') {
    errors+='<?php echo JS_ALERT_EMAIL; ?>';
  } else if (formerEmail.indexOf("@") <= 1 || formerEmail.indexOf("@") >= (formerEmail.length - 3) || formerEmail.indexOf(".") <= 3 || formerEmail.indexOf(".") >= (formerEmail.length - 2) || formerEmail.indexOf("@.") >= 0 ) {
    errors+='<?php echo JS_ALERT_EMAIL_FORMAT; ?>';
  } else if (formerEmail.length < <?php echo TYPE_IN_EMAIL_ADDRESS_MIN_LENGTH; ?>) {
    errors+='<?php echo JS_ALERT_EMAIL_FORMAT; ?>';
  }
  
  if (formerPass1 == '') { 
    errors+='<?php echo JS_ALERT_PASSWORD; ?>';
  } else if (formerPass1.length < <?php echo TYPE_IN_PASSWORD_MIN_LENGTH; ?>) { 
    errors+='<?php echo JS_ALERT_PASSWORD_LENGTH . TYPE_IN_PASSWORD_MIN_LENGTH; ?>\n';
  } else if (formerPass1 != formerPass2) {
    errors+='<?php echo JS_ALERT_PASSWORD_CONFIRM; ?>';
  }
  
  if (errors) alert('The following error(s) occurred:\n'+errors);
  document.returnValue = (errors == '');
}
//-->
</script>
<?php
}
?>